## org.eclipse.emf.edit.command
Class SetCommand.PessimisticStrictCompoundCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.common.command.CompoundCommand
              org.eclipse.emf.common.command.StrictCompoundCommand
                  org.eclipse.emf.edit.command.SetCommand.PessimisticStrictCompoundCommand

All Implemented Interfaces:
  Command

Enclosing class:
  SetCommand

    protected static class SetCommand.PessimisticStrictCompoundCommand

extends StrictCompoundCommand

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.common.command.StrictCompoundCommand
`isPessimistic, isUndoable, rightMostExecutedCommandIndex`

Fields inherited from class org.eclipse.emf.common.command.CompoundCommand
`commandList, LAST_COMMAND_ALL, MERGE_COMMAND_ALL, resultIndex`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`SetCommand.PessimisticStrictCompoundCommand(java.lang.String label, java.lang.String description)`

Method Summary

Methods inherited from class org.eclipse.emf.common.command.StrictCompoundCommand
`appendAndExecute, execute, prepare, redo, toString, undo`

Methods inherited from class org.eclipse.emf.common.command.CompoundCommand
`append, appendIfCanExecute, canUndo, dispose, getAffectedObjects, getCommandList, getDescription, getLabel, getMergedAffectedObjectsCollection, getMergedResultCollection, getResult, getResultIndex, isEmpty, unwrap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetCommand.PessimisticStrictCompoundCommand

    public SetCommand.PessimisticStrictCompoundCommand(java.lang.String label,
                                                       java.lang.String description)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.